List transactions by account per member
Requests to this endpoint return a list of transactions associated with the specified account.
Enhanced transaction data may be requested using the includes parameter. To use this optional parameter, the value should include the optional metadata requested such as repeating_transactions, merchants, classifications, geolocations. For more information, see the Optional Enhancement Query Parameter guide.
Path Parameters
| Field | Required | Type |
|---|---|---|
user_identifier Use either the user | Required | String |
account_identifier Use either the account | Required | String |
member_identifier Use either the member | Required | String |
Query Parameters
| Field | Required | Type |
|---|---|---|
page Results are paginated. Specify current page. | Optional | Integer |
records_per_page This specifies the number of records to be returned on each page. Defaults to | Optional | Integer |
from_date Filter transactions from this date. This only supports unix timestamp format. Defaults to 120 days ago if not provided. | Optional | String |
to_date Filter transactions to this date (at midnight). This only supports unix timestamp format. Defaults to 5 days forward from the day the request is made to capture pending transactions. | Optional | String |
from_created_at Filter transactions from the date the transaction was created. This only supports unix timestamp format. | Optional | String |
to_created_at Filter transaction to the date in which the transaction was created. This only supports unix timestamp format. | Optional | String |
from_updated_at Filter transactions from the date in which the transaction was updated. This only supports unix timestamp format. | Optional | String |
to_updated_at Filter transactions to the date in which the transaction was updated. This only supports unix timestamp format. | Optional | String |
includes Options for enhanced transactions. This query parameter is optional. Possible additional metadata:
The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:
| Optional | String |
Header Parameters
| Field | Required | Type |
|---|---|---|
Accept-Version MX Platform API version. | Required | String |